package com.sundot.airport.exam.logic.eighteen.model.params;

import javax.validation.constraints.NotBlank;

/**
 * <b>功能名：</b>ExamRecAddParam<br>
 * <b>说明：</b> 在线测试用户获取考试基本信息和试题请求参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-30 liangxiao
 */
public class ExamRecAddParam {

    /**
     * 客户端类型
     */
    private String clientType;

    /**
     * 考试业务id
     */
    @NotBlank
    private String id;

    /**
     * 产品课程业务id
     */
    @NotBlank
    private String pcId;

    @Override
    public String toString() {
        return "ExamRecAddParam{" +
                "clientType='" + clientType + '\'' +
                ", id='" + id + '\'' +
                ", pcId='" + pcId + '\'' +
                '}';
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPcId() {
        return pcId;
    }

    public void setPcId(String pcId) {
        this.pcId = pcId;
    }
}
